/*_______________________________________________________________________
 | _|_																	|
 |	 Craig's Lib: GenericErrors.c		 					12/18/91	|
 | 									 	  Last Modified:	10/13/92	|
 | 																		|
 | 	Simply call the routines like so:									|
 | 																		|
 | 	FatalError("\pSorry, an error has occured.");						|
 | 	StopError("\pSorry, an error has occured.");						|
 | 	CautionError("\pSorry, an error has occured.");						|
 | 	Message("\pSorry, an error has occured.");							|
 | 																		|
 | Copyright  1991 by Craig A. Marciniak          All rights reserved.	|
 _______________________________________________________________________*/
 
 #include	"GenericErrors.h"
 
 /*________________________________________________ Generic FatalError _*/

void FatalError(char *message)
{	
	ParamText(message,NULL,NULL,NULL);
	StopAlert(ERRTMPLID,NIL);
	ExitToShell();
}

/*__________________________________________________ Generic StopError _*/

void StopError(char *message)
{	
	ParamText(message,NULL,NULL,NULL);
	StopAlert(ERRTMPLID,NIL);
}

/*______________________________________________ Generic Caution Error _*/

void CautionError(char *message)
{
	ParamText(message,NULL,NULL,NULL);
	CautionAlert(ERRTMPLID,NIL);
}

/*____________________________________________________ Generic Message _*/

void Message(char *message)
{
	ParamText(message,NULL,NULL,NULL);
	NoteAlert(ERRTMPLID,NIL);
}

/*______________________________________________________________________*/